Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.BioRadio.Configuration.BioPotentialChannelConfiguration Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | Properties | List of all members
GLNeuroTech.Devices.BioRadio.Configuration.BioPotentialChannelConfiguration Class Reference

Bio Potential Channel Configuration - inherit from Channel Configuration More...

Inheritance diagram for GLNeuroTech.Devices.BioRadio.Configuration.BioPotentialChannelConfiguration:

## Public Member Functions

| BioPotentialChannelConfiguration ()
| Bio Potential Channel Configuration - constructor More...
override bool | Equals (object obj)
| Compare two bio potential channel configuration (Coupling, Gain, OperationMode and BitResolution). Return True if the configuration are equal. More...
override int | GetHashCode ()
| Get Hash Code for BitResolution, ChannelIndex and Gain More...
Public Member Functions inherited from GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration
| ChannelConfiguration ()
| Channel configuration: set initial Name, Saved and Streamed More...
override bool | Equals (object obj)
| COmpare two channel configuration More...
override int | GetHashCode ()
| Get Hash Code for Name and Preset Code More...

## Properties

int | Gain`[get, set]`
| The gain applied to this channel. Valid values are from 1 to 24, inclusively. More...
BioPotentialChannelMode | OperationMode`[get, set]`
| Gets or sets the Operation Mode of the channel. More...
CouplingType | Coupling`[get, set]`
| The CouplingType configured for this channel. More...
int | BitResolution`[get, set]`
| Specifies the bit resolution for this BioPotential channel. Valid values are 12, 16, and 24. More...
Properties inherited from GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration
string | ChannelType`[get]`
| A text label to describe the type of channel More...
int | ChannelIndex`[get, set]`
| The one-based channel ID that corresponds to the channel label on the device. More...
String | Name`[get, set]`
| The name associated with this channel. Names cannot exceed 30 characters. More...
bool | Enabled`[get, set]`
| Indicates whether this channel is enabled. If true, data will be acquired on this channel. Otherwise, no data will be acquired. More...
bool | Saved`[get, set]`
| Indicates whether this channel will be saved to internal device memory when acquiring. More...
bool | Streamed`[get, set]`
| Indicates whether channel data will be wirelessly streamed to a connected client when acquisition is started. More...
ushort | PresetCode`[get, set]`
| A code to indicate an application-specific use for this channel. More...
bool | Connected`[get, set]`
| Indicates whether this channel is connected. This is a read-only property. More...

## Detailed Description

Bio Potential Channel Configuration - inherit from Channel Configuration

## Constructor & Destructor Documentation

## ◆ BioPotentialChannelConfiguration()

GLNeuroTech.Devices.BioRadio.Configuration.BioPotentialChannelConfiguration.BioPotentialChannelConfiguration | ( |  | ) |

Bio Potential Channel Configuration - constructor

## Member Function Documentation

## ◆ Equals()

override bool GLNeuroTech.Devices.BioRadio.Configuration.BioPotentialChannelConfiguration.Equals | ( | object | obj | ) |

Compare two bio potential channel configuration (Coupling, Gain, OperationMode and BitResolution). Return True if the configuration are equal.

Parameters

  obj |

Returns
  Return true if the channel configuration are the same.

## ◆ GetHashCode()

override int GLNeuroTech.Devices.BioRadio.Configuration.BioPotentialChannelConfiguration.GetHashCode | ( |  | ) |

Get Hash Code for BitResolution, ChannelIndex and Gain

Returns

## Property Documentation

## ◆ BitResolution

int GLNeuroTech.Devices.BioRadio.Configuration.BioPotentialChannelConfiguration.BitResolution

getset

Specifies the bit resolution for this BioPotential channel. Valid values are 12, 16, and 24.

## ◆ Coupling

CouplingType GLNeuroTech.Devices.BioRadio.Configuration.BioPotentialChannelConfiguration.Coupling

getset

The CouplingType configured for this channel.

## ◆ Gain

int GLNeuroTech.Devices.BioRadio.Configuration.BioPotentialChannelConfiguration.Gain

getset

The gain applied to this channel. Valid values are from 1 to 24, inclusively.

## ◆ OperationMode

BioPotentialChannelMode GLNeuroTech.Devices.BioRadio.Configuration.BioPotentialChannelConfiguration.OperationMode

getset

Gets or sets the Operation Mode of the channel.

Each biopotential channel can be configured in certain ways for specialized operation. The default is Normal operation. See BioPotentialChannelMode for a list of possible operation modes.